Retail Express API 2.1

Gets specific Order Payment

Gets specific Order Payment

get
https://api.retailexpress.com.au/v2.1/orders/{id}/payments/{payment_id}

Path Parameters

idinteger(int32)required

Order id

payment_idinteger(int32)required

Payment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Payment

OrderPayment

Order Payment Model

* Additional properties are NOT allowed.
idinteger(int32)

Order Payment Id .

external_idstring | null

External Id.

payment_methodobject

Payment Method Model

* Additional properties are NOT allowed.
Show Child Parameters
amountnumber(double)

Amount.

created_onstring(date-time)

Created On.

get/orders/{id}/payments/{payment_id}
 
application/json

Searches Orders by parameters

Searches Orders by parameters

get
https://api.retailexpress.com.au/v2.1/orders

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

include_itemsboolean

Include items

include_fulfilmentsboolean

Include fulfilments

include_paymentsboolean

Include payments

include_order_vouchersboolean

Include order vouchers

order_bystring | null

Order by.

Available field name values: id, outlet, sales_channel, customer, sales_person, created_on, modified_on.

Available direction values: asc, desc.

Example: id asc, outlet desc

filter_bystring | null

Filter by.

Available field name values: created_on, modified_on, order_number, order_status_id, sales_channel_id, shopify_channel, outlet_id, customer_id, customer_number, customer_email, sales_person_id, original_order_id, ext_unique_id, order_id.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2
Example: shopify_channel:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Orders

Order.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orders
 
application/json

Gets specific Order by unique id

Gets specific Order by unique id

get
https://api.retailexpress.com.au/v2.1/orders/{id}

Query Parameters

include_itemsboolean

Include items

include_fulfilmentsboolean

Include fulfilments

include_paymentsboolean

Include payments

Path Parameters

idinteger(int32)required

Order id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order

Order

Order Model

* Additional properties are NOT allowed.
billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
private_commentsstring | null
delivery_addressobject

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
ext_unique_idstring | null

External ID of the payment, if applicable.

freight_totalnumber | null(double)

Freight total

freight_typeobject
* Additional properties are NOT allowed.
Show Child Parameters
idinteger | null(int32)

Order Id.

customerobject
* Additional properties are NOT allowed.
Show Child Parameters
order_numberstring | null

The Order identifier in Retail Express.

original_order_idinteger | null(int32)

Original Order Id.

sales_channelobject
* Additional properties are NOT allowed.
Show Child Parameters
sales_personobject
* Additional properties are NOT allowed.
Show Child Parameters
order_statusobject
* Additional properties are NOT allowed.
Show Child Parameters
order_totalnumber | null(double)

Order total

outletobject
* Additional properties are NOT allowed.
Show Child Parameters
public_commentsstring | null

Public comments

taxableinteger(int32)read-only

Is taxable

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

fulfilled_in_full_onstring | null(date-time)

Fulfilled in full on

paid_in_full_onstring | null(date-time)

Paid in full on

order_itemsarray | null[object]

Order Item Model

* Additional properties are NOT allowed.
Show Child Parameters
fulfilmentsarray | null[object]

Fulfilment model

* Additional properties are NOT allowed.
Show Child Parameters
paymentsarray | null[object]

Order Payment Model

* Additional properties are NOT allowed.
Show Child Parameters
vouchersarray | null[object]

Vouchers.

* Additional properties are NOT allowed.
Show Child Parameters
get/orders/{id}
 
application/json

outlets

Searches Outlets by parameters

Searches Outlets by parameters

get
https://api.retailexpress.com.au/v2.1/outlets

Query Parameters

enabledboolean | null

Enabled flag.

idinteger | null(int32)

Outlet Id. Other properties are skipped, if used

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Outlets

Outlet.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Outlet model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/outlets
 
application/json